package com.njcn.product.system.dict.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum SystemResponseEnum {

    /**
     * 系统模块异常响应码的范围：
     * A00350 ~ A00449
     */
    SYSTEM_COMMON_ERROR("A00350","系统模块异常"),
    DICT_TYPE_NAME_REPEAT("A00351", "字典类型名称重复"),
    DICT_DATA_NAME_REPEAT("A00352", "字典数据名称重复"),
    AREA_CODE_REPEAT("A00353","行政区域编码重复"),
    LOAD_TYPE_EMPTY("A00354","用能负荷数据为空"),
    LINE_MARK_EMPTY("A00355","字典监测点评分等级数据为空"),
    VOLTAGE_EMPTY("A00356","查询字典电压等级数据为空"),

    INTERFERENCE_EMPTY("A00356","查询字典干扰源类型数据为空"),
    BUSINESS_EMPTY("A00356","查询字典行业类型数据为空"),
    SYSTEM_TYPE_EMPTY("A00356","查询字典系统类型数据为空"),
    DEV_TYPE_EMPTY("A00357","查询字典设备类型数据为空"),
    MANUFACTURER("A00358","查询字典终端厂家数据为空"),
    DEV_VARIETY("A00359","查询字典终端类型数据为空"),

    /*pms*/
    LINE_TYPE_VARIETY_EMPTY("A00360","查询字典监测点类型数据为空"),
    LINE_STATE_EMPTY("A00361","查询字典监测点状态为空"),
    LINE_TYPE_EMPTY("A00362","查询字典监测点类型状态为空"),
    POTENTIAL_TYPE_EMPTY("A00363","查询字典电压互感器类型为空"),
    Neutral_Mode_EMPTY("A00364","查询字典中性点接地方式为空"),
    MONITOR_TAG_EMPTY("A00365","查询字典监测点标签类型为空"),
    MONITORY_TYPE_EMPTY("A00366","查询字典监测对象类型为空"),
    TERMINAL_WIRING_EMPTY("A00367","查询字典监测终端接线方式为空"),
    MONITOR_TYPE_EMPTY("A00368","查询字典监测点类别为空"),
    ACTIVATED_STATE("A00369","必须存在一个已激活的系统类型"),
    ADVANCE_REASON("A00370","查询字典暂降原因为空"),
    EFFECT_STATUS_EMPTY("A00370","查询字典实施状态为空"),

    EVENT_REPORT_REPEAT("A00361","暂态报告模板重复"),
    NOT_EXISTED("A00361", "您查询的该条记录不存在"),
    TIMER_NO_CLASS("A00361", "请检查定时任务是否添加"),

    /**
     * 定时任务执行类不存在
     */
    TIMER_NOT_EXISTED("A00361", "定时任务执行类不存在"),
    EXE_EMPTY_PARAM("A00361", "请检查定时器的id，定时器cron表达式，定时任务是否为空！"),

    /**
     * 审计日志模块异常响应
     */
    NOT_FIND_FILE("A0300", "文件未备份或者备份文件为空，请先备份文件"),
    LOG_EXCEPTION("A0301", "导入旧日志文件异常"),
    LOG_EXCEPTION_TIME("A0302", "导入旧日志文件异常:缺少时间范围"),
    DELETE_DATA("A0303", "导入旧日志文件异常:删除数据失败"),
    MULTIPLE_CLICKS_LOG_FILE_WRITER("A0304", "当前文件备份数据未结束，请勿多次点击"),
    MULTIPLE_CLICKS_RECOVER_LOG_FILE("A0303", "当前文件恢复数据未结束，请勿多次点击"),

    PAGE_SAME_NAME("A00357","页面名称重复"),
    ;

    private final String code;

    private final String message;

    SystemResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
